{
  config,
  flake,
  pkgs,
  ...
}:
let

  inherit (flake.config.aesthetics.themes) currentTheme palettes fonts;

  inherit (flake.config.people) user0 user1 user2;

  user = config.home.username;

  themeLogic =
    if user == user0 then
      currentTheme.theme0
    else if user == user1 then
      currentTheme.theme1
    else if user == user2 then
      currentTheme.theme2
    else
      currentTheme.theme0;

  el = palettes.${themeLogic}.colours;

in
{
  programs.fuzzel = {
    enable = true;
    settings = {
      main = {
        prompt = "❯   ";
        show-actions = "yes";
        icon-theme = "Papirus-Dark";
        width = 25;
        font = "${fonts.names.name0}:weight=bold:size=${toString fonts.sizes.desktop.size0}";
        terminal = "${pkgs.ghostty}/bin/ghostty";
        layer = "overlay";
      };
      border = {
        radius = 10;
      };
      colors = {
        background = "${el.base00}dd";
        text = "${el.base05}ff";
        match = "${el.base0E}ff";
        selection = "${el.base04}ff";
        selection-text = "${el.base05}ff";
        selection-match = "${el.base0E}ff";
        border = "${el.base0E}ff";
        prompt = "${el.base07}ff";
        input = "${el.base05}ff";
        placeholder = "${el.base04}ff";
        counter = "${el.base04}ff";
      };
      dmenu = {
        exit-immediately-if-empty = "yes";
      };
    };
  };
}
